/* 
 * TkApplication.java --
 *
 *	This file contains the TkApplication class.   This class
 *	is used to initialize an interpreter for use with Tk.
 *
 * Copyright (c) 1995 by Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * SCCS: @(#) TkApplication.java 1.3 95/12/19 14:34:39
 */
package tcl;

abstract public class TkApplication  {

    public static native void tkInit(Interp interp,
	    String name, String classname);
    public static void tkInit(Interp interp) {
	tkInit(interp, "JTk", "JTk");
    }

    public static native int getNumMainWindows();

    public static void mainLoop() {
	while (getNumMainWindows() > 0) {
	    Interp.doOneEvent(0);
	}
    }
}
